/2025-10/log-level/advertisers/{advertiser-id}/report
curl --request POST \
--url https://api.criteo.com/2025-10/log-level/advertisers/{advertiser-id}/report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shouldDisplayProductIds": false,
"startDate": "2024-01-01T00:00:00.0000000+00:00",
"endDate": "2024-01-04T00:00:00.0000000+00:00"
}
'import requests
url = "https://api.criteo.com/2025-10/log-level/advertisers/{advertiser-id}/report"
payload = {
"shouldDisplayProductIds": False,
"startDate": "2024-01-01T00:00:00.0000000+00:00",
"endDate": "2024-01-04T00:00:00.0000000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shouldDisplayProductIds: false,
startDate: '2024-01-01T00:00:00.0000000+00:00',
endDate: '2024-01-04T00:00:00.0000000+00:00'
})
};
fetch('https://api.criteo.com/2025-10/log-level/advertisers/{advertiser-id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"advertiserId": "<string>",
"files": [
{
"fileName": "<string>",
"url": "<string>"
}
],
"tokenValidUntil": "2023-11-07T05:31:56Z"
},
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-10/log-level/advertisers/{advertiser-id}/report
This Statistics endpoint provides publisher data.
POST
/
2025-10
/
log-level
/
advertisers
/
{advertiser-id}
/
report
/2025-10/log-level/advertisers/{advertiser-id}/report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser ID to fetch the transparency data for. The advertiser must already exist. Must be greater than 0.
Body
application/jsonapplication/xmltext/xmlapplication/*+xml
The query message.
This is the message defining the query for Transparency report
End date of the report. Date component of ISO 8601 format, any time or timezone component is ignored.
Start date of the report. Date component of ISO 8601 format, any time or timezone component is ignored. Must be ≤ endDate.
Specify if the product ids are displayed in the report.
Response
Success
A top-level object that encapsulates a Criteo API response for several value objects.
Was this page helpful?
⌘I